• Русский
  • Description
    JwtPolicy is the Schema for the jwtpolicies API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    JwtPolicySpec defines the desired state of JwtPolicy

    statusobject

    JwtPolicyStatus defines the observed state of JwtPolicy

    .spec

    Description
    JwtPolicySpec defines the desired state of JwtPolicy
    Type
    object
    Required
    enabled
    PropertyTypeDescription
    enabledstring
    privateJwkstring
    publicJwkstring
    tokenstring

    .status

    Description
    JwtPolicyStatus defines the observed state of JwtPolicy
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies
      • DELETE: delete collection of JwtPolicy
      • GET: list objects of kind JwtPolicy
      • POST: create a new JwtPolicy
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies/{name}
      • DELETE: delete the specified JwtPolicy
      • GET: read the specified JwtPolicy
      • PATCH: partially update the specified JwtPolicy
      • PUT: replace the specified JwtPolicy
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies/{name}/status
      • GET: read status of the specified JwtPolicy
      • PATCH: partially update status of the specified JwtPolicy
      • PUT: replace status of the specified JwtPolicy

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies

    HTTP method
    DELETE
    Description
    delete collection of JwtPolicy
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind JwtPolicy
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicyList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyJwtPolicy schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    201 - CreatedJwtPolicy schema
    202 - AcceptedJwtPolicy schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies/{name}

    HTTP method
    DELETE
    Description
    delete the specified JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified JwtPolicy
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyJwtPolicy schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    201 - CreatedJwtPolicy schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/jwtpolicies/{name}/status

    HTTP method
    GET
    Description
    read status of the specified JwtPolicy
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified JwtPolicy
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyJwtPolicy schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKJwtPolicy schema
    201 - CreatedJwtPolicy schema
    401 - UnauthorizedEmpty